Summary: A DSSSL implementation.
Name: openjade
Version: 1.3.1
Release: 12.1
Prereq: sgml-common >= 0.5
Prereq: docbook-dtds
Source: http://download.sourceforge.net/openjade/openjade-%{version}.tar.gz
Patch0: openjade-1.3.1-lt.patch
Patch1: openjade-1.3-namesp.patch
Patch2: openjade-1.3.1-manpage.patch
Patch3: openjade-1.3.1-httphost.patch
License: Distributable
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: /usr
Obsoletes: jade
Provides: jade

%description
OpenJade is an implementation of the ISO/IEC 10179:1996 standard DSSSL
(Document Style Semantics and Specification Language). OpenJade is
based on James Clark's Jade implementation of DSSSL. OpenJade is a
command-line application and a set of components. The DSSSL engine
inputs an SGML or XML document and can output a variety of formats:
XML, RTF, TeX, MIF (FrameMaker), SGML, or XML.

%prep
%setup -q
%patch2 -p1 -b .manpage
%patch3 -p1 -b .httphost

%build

cp config/configure.in .
%ifarch alpha
export CXXFLAGS="-O0"
%endif
libtoolize --copy --force
%configure --prefix=%{prefix} --enable-static \
 --enable-default-catalog=/etc/sgml/catalog \
 --enable-default-search-path=/usr/share/sgml \
 --datadir=/usr/share/sgml/%{name}-%{version} \
 --enable-http
NRPROC=`egrep -c "^cpu[0-9]+" /proc/stat || :`
[ "$NRPROC" = "0" ] && NRPROC=1
make -j$NRPROC

%install
# NOTE: in installing I am also copying a bunch of .h files into
# $(prefix)/include/sp/{generic,include,lib}.  This is so that the
# library API can be used.  It's an ugly kludge, and the best way
# would be for James Clark to tell us what the appropriate list of
# files to be included is.

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT
mkdir -p \
 $RPM_BUILD_ROOT/%{prefix}/{lib,bin,doc,share/sgml/openjade-1.3.1,include/sp/{generic,include,lib}}

%makeinstall datadir=$RPM_BUILD_ROOT/%{prefix}/share/sgml/openjade-1.3.1
make install-man mandir=$RPM_BUILD_ROOT/%{_mandir}

# Fix up libtool libraries
find $RPM_BUILD_ROOT -name '*.la' | \
  xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"

# oMy, othis ois osilly.
ln -s openjade $RPM_BUILD_ROOT/%{prefix}/bin/jade
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file $RPM_BUILD_ROOT/%{prefix}/bin/$file
done

mv $RPM_BUILD_ROOT/%{prefix}/bin/sx $RPM_BUILD_ROOT/%{prefix}/bin/sgml2xml
install generic/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/generic/
install include/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/include/
install lib/*.h $RPM_BUILD_ROOT/%{prefix}/include/sp/lib/
# install jade/jade $RPM_BUILD_ROOT/%{prefix}/bin/jade 
cp dsssl/catalog $RPM_BUILD_ROOT/%{prefix}/share/sgml/%{name}-%{version}/
cp dsssl/dsssl.dtd dsssl/style-sheet.dtd dsssl/fot.dtd \
  $RPM_BUILD_ROOT/%{prefix}/share/sgml/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/ jadedoc/ dsssl/ pubtext/ unicode/ README COPYING VERSION
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so*
%{prefix}/share/sgml
%{prefix}/include/*
%{_mandir}/*/*

%changelog
* Tue Oct  5 2004 Tim Waugh <twaugh@redhat.com> 1.3.1-12.1
- Rebuild for RHEL3.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Jeff Johnson <jbj@redhat.com> 1.3.1-11
- don't include -debuginfo files in package.

* Thu Dec 12 2002 Tim Waugh <twaugh@redhat.com>
- Fix typo in description (bug #79395).

* Mon Nov  4 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-10
- Fix DTD retrieval from virtual hosts (bug #77137).

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com> 1.3.1-8
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.3.1-7
- automated rebuild

* Thu Jun 13 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-6
- Fix sgmlnorm(1) man page (bug #64136).
- Fix %%files list (bug #64323).

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.3.1-5
- automated rebuild

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-4
- Avoid bad triggers.

* Thu Feb 21 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-3
- Rebuild in new environment.

* Mon Jan 28 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-2
- Ship man pages.

* Mon Jan 28 2002 Tim Waugh <twaugh@redhat.com> 1.3.1-1
- 1.3.1.
- Patches no longer needed: decl, strdup, foo, size_t, 31525, indev,
  ligature, twosidestartonright.
- Updated lt patch.

* Mon Jan 14 2002 Tim Waugh <twaugh@redhat.com> 1.3-22
- Enable build on GCC 3.0 onwards.
- Run libtoolize.

* Fri Nov  2 2001 Tim Waugh <twaugh@redhat.com> 1.3-21
- Enable HTTP support.  Now a DocBook XML document can be processed by
  either xsltproc or openjade.

* Tue Oct 30 2001 Tim Waugh <twaugh@redhat.com> 1.3-20
- Apply twosidestartonright patch from Ian Castle.

* Thu Oct 11 2001 Tim Waugh <twaugh@redhat.com> 1.3-19
- s/Copyright:/License:/
- Use %%{_tmppath}.
- Fix up libtool libraries (bug #46212).

* Wed Sep 12 2001 Tim Powers <timp@redhat.com> 1.3-18
- rebuild with new gcc and binutils

* Fri Jun 15 2001 Tim Waugh <twaugh@redhat.com> 1.3-17
- Apply patch from CVS to break up unintentional ligatures (bugs #11497,
  #11779)

* Mon Jun  4 2001 Tim Waugh <twaugh@redhat.com> 1.3-16
- Apply the iNdev openjade-1.3.patch patch.

* Tue May 29 2001 Tim Waugh <twaugh@redhat.com> 1.3-15
- ldconfig (bug #32824).
- Fix up some libtool problems.

* Fri Apr 27 2001 Bill Nottingham <notting@redhat.com> 1.3-14
- rebuild for C++ exception handling on ia64
- build with optimization on ia64

* Tue Mar 13 2001 Tim Waugh <twaugh@redhat.com>
- Avoid creating bogus TeX output for section headings containing
  special characters (#bug 31525).

* Mon Jan 22 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- Apply original autoconf patch to s390 s390x only. This patch can
  be deleted once s390* uses a current compiler.

* Thu Jan 19 2001 Tim Waugh <twaugh@redhat.com>
- Don't conflict with stylesheets; require sgml-common >= 0.5 instead.
- Revert autoconf change, as it's still broken.

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- fix this autoconf macro to work on all archs :-)

* Wed Jan 17 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- apply patch from Fritz Elfert <felfert@to.com>
	- removed explicit stripping
	- Added autoconf macro for correctly recognizing if size_t
	  is unsigned int

* Tue Jan 16 2001 Tim Waugh <twaugh@redhat.com>
- Default catalog file is /etc/sgml/catalog.

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Conflict with stylesheets (new-trials location changes).
- /usr/lib/sgml -> /usr/share/sgml/%%{name}-%%{version}.
- Remove %%post and %%postun.

* Wed Oct 18 2000 Matt Wilson <msw@redhat.com>
- rebuilt against g++-2.96-60, fixes jade on alpha

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix several C++ build problems (declarations)
- build against new libstdc++

* Wed May 17 2000 Matt Wilson <msw@redhat.com>
- build with -O0 on alpha
- fix -j testing

* Thu May  5 2000 Bill Nottingham <notting@redhat.com>
- openjade is maintained, and actually builds. Let's try that.

* Thu Mar  9 2000 Bill Nottingham <notting@redhat.com>
- this package is way too huge. strip *everything*

* Mon Feb 21 2000 Matt Wilson <msw@redhat.com>
- build with CXXFLAGS="-O2 -ggdb" to work around segfault on alpha

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binaries

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- sanitize spec file some

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed conflict problem with sgml-tools

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- changed buildroot path to /var/tmp
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Thu Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
